osl::PtypeProgress Class Reference

`#include <ptypeProgress.h>`

## Public Member Functions

| PtypeProgress (SimpleState const &state)
int | progress () const
void | changeTurn ()
void | update (const SimpleState &, Move last_move)
bool | operator== (const PtypeProgress rhs) const

## Static Public Member Functions

static int | getProgress (const SimpleState &state)

## Private Member Functions

void | addVal (int d)

## Private Attributes

int | val

## Detailed Description

Definition at line 29 of file ptypeProgress.h.

## Constructor & Destructor Documentation

## PtypeProgress()

osl::progress::PtypeProgress::PtypeProgress | ( | SimpleState const & | state | ) |

explicit

Definition at line 90 of file ptypeProgress.cc.

## Member Function Documentation

## addVal()

void osl::progress::PtypeProgress::addVal | ( | int | d | ) |

inline private

Definition at line 36 of file ptypeProgress.h.

## changeTurn()

void osl::progress::PtypeProgress::changeTurn | ( |  | ) |

inline

Definition at line 38 of file ptypeProgress.h.

## getProgress()

int osl::progress::PtypeProgress::getProgress | ( | const SimpleState & | state | ) |

inline static

Definition at line 39 of file ptypeProgress.h.

## operator==()

bool osl::progress::PtypeProgress::operator== | ( | const PtypeProgress | rhs | ) | const

inline

Definition at line 60 of file ptypeProgress.h.

## progress()

int osl::progress::PtypeProgress::progress | ( |  | ) | const

inline

Definition at line 34 of file ptypeProgress.h.

## update()

void osl::progress::PtypeProgress::update | ( | const SimpleState & | ,
|  | Move | last_move )

inline

Definition at line 44 of file ptypeProgress.h.

## Member Data Documentation

## val

int osl::progress::PtypeProgress::val

private

Definition at line 31 of file ptypeProgress.h.

The documentation for this class was generated from the following files:

- ptypeProgress.h
- ptypeProgress.cc